:host{
  display: block;
  height: 100%
}

.product-item{
  height: 240px;
  border-radius: 8px;
  box-shadow: 0 2px 8px rgba(206, 212, 218, .7);
  transition: all ease-in .3s;
  overflow: hidden;
  background-color: #fff;
  padding: 16px 8px;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  &:hover{
    transform: scale(1.02);
    box-shadow: 0 2px 12px rgba(206, 212, 218, 0.5);
    cursor: pointer;
  }
}

.item-image{
  width: 100%;
  height: 70%;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  margin-bottom: 8px;
}

.item-price{
  width: 80px;
  height: 40px;
  background-color: #0d6efd;
  color: #fff;
  border-radius: 4px 0 0 4px;
  padding-left: 16px;
  font-size: 18px;
  font-weight: 700;
  line-height: 40px;
  position: absolute;
  right: 0;
  bottom: 32%;
}

.button-top{
  color: #495057;
  position: absolute;
  bottom: 24px;
  right: 16px;
}

.products-list{
  display: grid;
  grid-template-columns:  repeat(4, 1fr);
  gap: 32px;
}

@media screen and (min-width: 1200px){
  .products-list{
    grid-template-columns:  repeat(5, 1fr);
  }
}

@media screen and (max-width: 968px){
  .products-list{
    grid-template-columns:  repeat(3, 1fr);
  }
}

@media screen and (max-width: 768px){
  .products-list{
    grid-template-columns:  repeat(2, 1fr);
  }
}

@media screen and (max-width: 576px){
  .button-top{
    position: relative;
    bottom: auto;
    right: auto;
    align-self: end;
  }
}

@media screen and (max-width: 425px){
  .products-list{
    grid-template-columns:  1fr;
  }
}
